JCAConnectionStatsImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.management.JCAConnectionStatsImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class JCAConnectionStatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl
          org.codehaus.activemq.management.JCAConnectionStatsImpl

All Implemented Interfaces:
  JCAConnectionStats, Resettable, Stats

Direct Known Subclasses:
  JCAConnectionPoolStatsImpl

public class JCAConnectionStatsImpl
extends StatsImpl
implements JCAConnectionStats

Statistics for a JCA connection

Version:
  $Revision: 1.2 $

Constructor Summary
`JCAConnectionStatsImpl(String connectionFactory, String managedConnectionFactory, TimeStatistic waitTime, TimeStatistic useTime)`

Method Summary
`String` | `getConnectionFactory()`
`String` | `getManagedConnectionFactory()`
`TimeStatistic` | `getUseTime()`
`TimeStatistic` | `getWaitTime()`

Methods inherited from class org.codehaus.activemq.management.StatsImpl
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JCAConnectionStatsImpl

    public JCAConnectionStatsImpl(String connectionFactory,
                                  String managedConnectionFactory,
                                  TimeStatistic waitTime,
                                  TimeStatistic useTime)

Method Detail

### getConnectionFactory

    public String getConnectionFactory()

  Specified by:
    `getConnectionFactory` in interface `JCAConnectionStats`

### getManagedConnectionFactory

    public String getManagedConnectionFactory()

  Specified by:
    `getManagedConnectionFactory` in interface `JCAConnectionStats`

### getWaitTime

    public TimeStatistic getWaitTime()

  Specified by:
    `getWaitTime` in interface `JCAConnectionStats`

### getUseTime

    public TimeStatistic getUseTime()

  Specified by:
    `getUseTime` in interface `JCAConnectionStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.